/*
 * @(#) 1.1 SSOA/ws/code/soa.sca.container.security/src/com/ibm/wsspi/container/security/AccessManagerFactory.java, WAS.security.sca, SCA101.SSOA, cf051018.03 7/10/09 17:35:30 [5/10/10 22:21:11]
 *
 * COMPONENT_NAME:  WAS.soa.sca.container.spi
 *
 * Product 5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N01, 5722-WE2
 * (C) COPYRIGHT International Business Machines Corp., 2007, 2008
 * All Rights Reserved * Licensed Materials - Property of IBM
 *
 *
 * HISTORY
 * CMVC Ref         Date      Who       Description
 * --------------- 	--------- --------- --------------------------------------------
 * F00CmnContainer  20090626  gregd1    Initial Implementation
 */

package com.ibm.wsspi.container.security;

import com.ibm.ws.container.security.AccessManagerImpl;

/**
 * This class is a factory providing access to a stateless thread-safe AccessManager instance.
 * 
 * @ibm-spi
 */
public class AccessManagerFactory
{
    /**
     * Returns a stateless thread-safe AccessManager instance.
     * 
     * @return AccessManager instance
     */
    public static AccessManager getAccessManager() {
        return com.ibm.ws.container.security.AccessManagerImpl.getInstance();
    }
}